File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxlog.c File Reference

`#include "dmx.h"`
`#include "dmxlog.h"`
`#include "dmxinput.h"`
`#include "XI.h"`
`#include "XIproto.h"`

## Functions
dmxLogLevel | dmxSetLogLevel (dmxLogLevel newLevel)
dmxLogLevel | dmxGetLogLevel (void)
void | AbortServer (void)
void | dmxLog (dmxLogLevel logLevel, const char *format,...)
void | dmxLogCont (dmxLogLevel logLevel, const char *format,...)
void | dmxLogOutput (DMXScreenInfo *dmxScreen, const char *format,...)
void | dmxLogOutputCont (DMXScreenInfo *dmxScreen, const char *format,...)
void | dmxLogOutputWarning (DMXScreenInfo *dmxScreen, const char *format,...)
void | dmxLogInput (DMXInputInfo *dmxInput, const char *format,...)
void | dmxLogInputCont (DMXInputInfo *dmxInput, const char *format,...)
void | dmxLogArgs (dmxLogLevel logLevel, int argc, char **argv)
void | dmxLogVisual (DMXScreenInfo *dmxScreen, XVisualInfo *vi, int defaultVisual)
const char * | dmxXInputEventName (int type)
const char * | dmxEventName (int type)

## Detailed Description

This file encapsulated all of the logging functions that are used by DMX for informational, warning, and error messages.

## Function Documentation

void AbortServer | ( | void |  | ) |

| This function was removed between XFree86 4.3.0 and XFree86 4.4.0.

const char* dmxEventName | ( | int | type | ) |

| Translate an event type into a human-readable string.

dmxLogLevel dmxGetLogLevel | ( | void |  | ) |

| Returns the log level set by dmxLogLevel.

void dmxLog | ( | dmxLogLevel | logLevel,
|  | const char * | format,
|  | ... |
| ) |

| Log the specified message at the specified logLevel. format can be a printf-like format expression.

void dmxLogArgs | ( | dmxLogLevel | logLevel,
|  | int | argc,
|  | char ** | argv
| ) |

| Print argc messages, each describing an element in argv. This is maingly for debugging purposes.

void dmxLogCont | ( | dmxLogLevel | logLevel,
|  | const char * | format,
|  | ... |
| ) |

| Continue a log message without printing the message prefix.

void dmxLogInput | ( | DMXInputInfo * | dmxInput,
|  | const char * | format,
|  | ... |
| ) |

| Log an informational message (at level dmxInfo) related to input. The message prefix will contain information from dmxInput.

void dmxLogInputCont | ( | DMXInputInfo * | dmxInput,
|  | const char * | format,
|  | ... |
| ) |

| Continue a message related to input without printing the message prefix.

void dmxLogOutput | ( | DMXScreenInfo * | dmxScreen,
|  | const char * | format,
|  | ... |
| ) |

| Log an informational message (at level dmxInfo) related to ouput. The message prefix will contain backend information from dmxScreen.

void dmxLogOutputCont | ( | DMXScreenInfo * | dmxScreen,
|  | const char * | format,
|  | ... |
| ) |

| Continue a message related to output without printing the message prefix.

void dmxLogOutputWarning | ( | DMXScreenInfo * | dmxScreen,
|  | const char * | format,
|  | ... |
| ) |

| Log a warning message (at level dmxWarning) related to output. The message prefix will contain backend information from dmxScreen.

void dmxLogVisual | ( | DMXScreenInfo * | dmxScreen,
|  | XVisualInfo * | vi,
|  | int | defaultVisual
| ) |

| Print messages at level dmxInfo describing the visuals in vi.

dmxLogLevel dmxSetLogLevel | ( | dmxLogLevel | newLevel | ) |

| Set the default level for logging to dmxLogLevel. Returns the previous log level.

const char* dmxXInputEventName | ( | int | type | ) |

| Translate a (normalized) XInput event type into a human-readable string.